<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 48.40</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
   <!-- Data Table-->
   <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition dark-mode sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
<div class="wrapper">

  <!-- Preloader -->
  <div class="preloader flex-column justify-content-center align-items-center">
    <img class="animation__wobble" src="dist/img/AdminLTELogo.png" alt="AdminLTELogo" height="60" width="60">
  </div>

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-dark">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Voucher</a>
      </li>
    </ul>  
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Task 48.40</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Baodtg</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v1</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="./index2.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v2</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="#" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v3</p>
                </a>
              </li>
            </ul>
          </li>
          </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0">Dashboard v2</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Dashboard v2</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <!-- Info boxes -->
        <div class="row">
          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box">
              <span class="info-box-icon bg-info elevation-1"><i class="fas fa-cog"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">CPU Traffic</span>
                <span class="info-box-number">
                  10
                  <small>%</small>
                </span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box mb-3">
              <span class="info-box-icon bg-danger elevation-1"><i class="fas fa-thumbs-up"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">Likes</span>
                <span class="info-box-number">41,410</span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->

          <!-- fix for small devices only -->
          <div class="clearfix hidden-md-up"></div>

          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box mb-3">
              <span class="info-box-icon bg-success elevation-1"><i class="fas fa-shopping-cart"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">Sales</span>
                <span class="info-box-number">760</span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box mb-3">
              <span class="info-box-icon bg-warning elevation-1"><i class="fas fa-users"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">New Members</span>
                <span class="info-box-number">2,000</span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
        </div>
        <div class="container">
          <div class="text-center">
            <h2>Danh sách người dùng đăng ký</h2>
          </div>
          <div class="form-group">
            <button class="btn btn-success" id="btn-add-user"><i class="fa fa-plus"></i>&nbsp; Thêm user</button>
          </div>
        </div>
        <!-- Vouche Data Table -->
        <div class="container">
          <table class="table table-bordered table-striped table-hover" id="users-table">
            <thead>
              <tr>
                <th>Id</th>
                <th>Firstname</th>
                <th>Lastname</th>
                <th>Country</th>
                <th>Subject</th>
                <th>Customer Type</th>
                <th>Register Status</th>
                <th>Action</th>
              </tr>
            </thead>
          </table>
        </div>
        <!-- Vùng Modal -->
      
        <!-- Add user modal -->
        <div>
          <div id="add-user-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">Add new user</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="input-add-user-firstname">First name</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="input-add-user-firstname" name="UserFirstname" placeholder="Firstname..."
                          class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="input-add-user-lastname">Last name</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="input-add-user-lastname" name="UserLastname" placeholder="Lastname..."
                          class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="input-add-user-subject">Subject</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="input-add-user-subject" name="UserSubject" placeholder="Subject..."
                          class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="select-add-user-country">Country</label>
                      </div>
                      <div class="col-sm-8">
                        <select class="form-control" name="UserCountry" id="select-add-user-country">
                          <option value="0">Select your country</option>
                          <option value="VN">Việt Nam</option>
                          <option value="USA">USA</option>
                          <option value="AUS">Australia</option>
                          <option value="CAN">Canada</option>
                        </select>
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="select-add-user-customer-type">Customer Type</label>
                      </div>
                      <div class="col-sm-8">
                        <select class="form-control" name="UserCustomerType" id="select-add-user-customer-type">
                          <option value="0">Select your customer type</option>
                          <option value="Standard">Standard</option>
                          <option value="Gold">Gold</option>
                          <option value="Premium">Premium</option>
                        </select>
                      </div>
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
                  <button class="btn btn-success" id="btn-confirm-add-user">Insert user</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      
        <!-- Update user modal -->
        <div>
          <div id="update-user-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">Update new user</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <form>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="input-update-user-firstname">First name</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="input-update-user-firstname" name="UserFirstname" placeholder="Firstname..."
                          class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="input-update-user-lastname">Last name</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="input-update-user-lastname" name="UserLastname" placeholder="Lastname..."
                          class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="input-update-user-subject">Subject</label>
                      </div>
                      <div class="col-sm-8">
                        <input type="text" id="input-update-user-subject" name="UserSubject" placeholder="Subject..."
                          class="form-control">
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="select-update-user-country">Country</label>
                      </div>
                      <div class="col-sm-8">
                        <select class="form-control" name="UserCountry" id="select-update-user-country">
                          <option value="0">Select your country</option>
                          <option value="VN">Việt Nam</option>
                          <option value="USA">USA</option>
                          <option value="AUS">Australia</option>
                          <option value="CAN">Canada</option>
                        </select>
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="select-update-user-customer-type">Customer Type</label>
                      </div>
                      <div class="col-sm-8">
                        <select class="form-control" name="UserCustomerType" id="select-update-user-customer-type">
                          <option value="0">Select your customer type</option>
                          <option value="Standard">Standard</option>
                          <option value="Gold">Gold</option>
                          <option value="Premium">Premium</option>
                        </select>
                      </div>
                    </div>
                    <div class="row form-group">
                      <div class="col-sm-4">
                        <label for="select-update-user-customer-type">Register status</label>
                      </div>
                      <div class="col-sm-8">
                        <select class="form-control" name="UserCustomerType" id="select-update-user-register-status">
                          <option value="0">Select your register status</option>
                          <option value="New">New</option>
                          <option value="Accepted">Accepted</option>
                          <option value="Denied">Denied</option>
                        </select>
                      </div>
                    </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
                  <button class="btn btn-success" id="btn-confirm-update-user">Update user</button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- Delete confirm modal -->
        <div>
          <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="h5-modal-title">User Delete Confirmation</h5>
                  <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                  <label>Bạn có chắc chắn muốn xóa user này không?</label>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-danger" id="btn-confirm-delete-user">Confirm</button>
                  <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <strong>Copyright &copy; 2023 <a href="https://adminlte.io">Devcamp 120</a>.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> 3.3.0
    </div>
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->
<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.js"></script>

<!-- data Table -->
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>


</body>
<script>
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
  const gCONTENT_TYPE = "application/json;charset=UTF-8";

  var gUserId = 0;

  const gNAME_COL = ["id", "firstname", "lastname", "country", "subject", "customerType", "registerStatus", "action"];
  const gID_COL = 0;
  const gFIRSTNAME_COL = 1;
  const gLASTNAME_COL = 2;
  const gCOUNTRY_COL = 3;
  const gSUBJECT_COL = 4;
  const gCUSTOMER_TYPE_COL = 5;
  const gREGISTER_STATUS_COL = 6;
  const gACTION_COL = 7;
  var gDataUsersTable = $("#users-table").DataTable({
    columns: [
      { data: gNAME_COL[gID_COL] },
      { data: gNAME_COL[gFIRSTNAME_COL] },
      { data: gNAME_COL[gLASTNAME_COL] },
      { data: gNAME_COL[gCOUNTRY_COL] },
      { data: gNAME_COL[gSUBJECT_COL] },
      { data: gNAME_COL[gCUSTOMER_TYPE_COL] },
      { data: gNAME_COL[gREGISTER_STATUS_COL] },
      { data: gNAME_COL[gACTION_COL] },
    ],
    columnDefs: [
      {
        targets: gACTION_COL,
        defaultContent: `
                <div class= btn-group>
                <button class="btn btn-primary mr-2" id="btn-update-user">Sửa</button>
                <button class="btn btn-danger"  id="btn-delete-user">Xóa</button>
                </div>
                `
      }
    ]
  });
  //khởi tạo đối tượng user toàn cục:
  var gUserObj = {
    firstname: "",
    lastname: "",
    country: "",
    subject: "",
    customerType: "",
  }

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  $(document).ready(function () {

    onPageLoading();
    //gán sự kiện cho nút Sửa
    $("#users-table").on("click", "#btn-update-user", function () {
      gUserId = onBtnUpdateUserClick(this)
      getUserByUserId(gUserId)

    });
    //gán sự kiện cho nút Xóa

    $("#users-table").on("click", "#btn-delete-user", function () {
      gUserId = onBtnDeleteUserClick(this)
      $("#delete-confirm-modal").modal("show");

    });
    //gán sự kiện cho nút Thêm user

    $(document).on("click", "#btn-add-user", function () {
      $("#add-user-modal").modal("show");
    });
    //gán sự kiện cho nút Insert user (trên modal):
    $("#add-user-modal").on("click", "#btn-confirm-add-user", function () {
      onBtnInsertUserClick(gUserObj);
    });
    //gán sự kiện cho nút Update user (trên modal):
    $("#update-user-modal").on("click", "#btn-confirm-update-user", function () {
      onBtnConfirmUpdateUserClick(gUserObj);
    });
    //gán sự kiện cho nút Delete user (trên modal):
    $("#delete-confirm-modal").on("click", "#btn-confirm-delete-user", function () {
      onBtnConfirmDeleteUserClick()
    });
  });
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm load trang
  function onPageLoading() {
    getUserList()
  }
  //hàm ấn nút Sửa:
  function onBtnUpdateUserClick(paramBtnUpdate) {
    var vTableRow = $(paramBtnUpdate).parents("tr");
    var vDataTableRow = gDataUsersTable.row(vTableRow);
    var vUserIdObj = vDataTableRow.data().id;
    return vUserIdObj

  }
  //hàm ấn nút Xóa:
  function onBtnDeleteUserClick(paramBtnDelete) {
    var vTableRow = $(paramBtnDelete).parents("tr");
    var vDataTableRow = gDataUsersTable.row(vTableRow);
    var vUserIdObj = vDataTableRow.data().id;
    return vUserIdObj
  }
  //hàm ấn nút Insert User (trên modal):
  function onBtnInsertUserClick(paramUserObj) {
    readDataUser(paramUserObj);
    var vDataValid = validateUserData(paramUserObj);
    if (vDataValid) {
      callApiToAddNewUser(paramUserObj)
    }
  }
  //hàm ấn nút update user (trên modal): 
  function onBtnConfirmUpdateUserClick() {
    readDataUpdateUser(gUserObj);
    var vDataUpdateValid = validateDataUpdateUser(gUserObj);
    if (vDataUpdateValid) {
      callApiToUpdateUserById(gUserObj)
    }
  }
  //hàm ấn nút update user (trên modal): 
  function onBtnConfirmDeleteUserClick() {
    console.log("xoa xoa")
    callApiToDeleteUserById(gUserId)

  }


  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //hàm gọi api lấy danh sách user từ server:
  function getUserList() {
    $.ajax({
      url: "http://203.171.20.210:8080/crud-api/users/",
      type: "GET",
      success: function (paramRes) {
        loadUserListToTable(paramRes)
      },
      error: function (paramErorr) {
        console.log(paramErorr.responseText)
      }
    });
  }
  //hàm load users list vào table:
  function loadUserListToTable(paramUserListObj) {
    gDataUsersTable.clear(),
      gDataUsersTable.rows.add(paramUserListObj),
      gDataUsersTable.draw()
  }


  //hàm đọc dữ liệu user nhập vào("trên modal"):
  function readDataUser(paramUserObj) {
    paramUserObj.firstname = $.trim($("#input-add-user-firstname").val());
    paramUserObj.lastname = $.trim($("#input-add-user-lastname").val());
    paramUserObj.subject = $.trim($("#input-add-user-subject").val());
    paramUserObj.country = $("#select-add-user-country").val();
    paramUserObj.customerType = $("#select-add-user-customer-type").val();
  }
  //hàm đọc dữ liệu update user nhập vào("trên modal"):
  function readDataUpdateUser(paramUserObj) {
    paramUserObj.firstname = $.trim($("#input-update-user-firstname").val());
    paramUserObj.lastname = $.trim($("#input-update-user-lastname").val());
    paramUserObj.subject = $.trim($("#input-update-user-subject").val());
    paramUserObj.country = $("#select-update-user-country").val();
    paramUserObj.customerType = $("#select-update-user-customer-type").val();
    paramUserObj.registerStatus = $("#select-update-user-register-status").val();

  }

  //hàm validate dữ liệu user nhập vào("trên modal"):
  function validateUserData(paramUserObj) {
    if (paramUserObj.firstname == "") {
      alert("Please input firstname");
      return false;
    }
    if (paramUserObj.lastname == "") {
      alert("Please input lastname");
      return false;
    }
    if (paramUserObj.subject == "") {
      alert("Please input subject");
      return false;
    }
    if (paramUserObj.country == "0") {
      alert("Please select your country");
      return false;
    }
    if (paramUserObj.customerType == "0") {
      alert("Please select your customer type");
      return false;
    }
    return true
  }
  //hàm validate dữ liệu update user nhập vào("trên modal"):
  function validateDataUpdateUser(paramUserObj) {
    if (paramUserObj.firstname == "") {
      alert("Please input firstname");
      return false;
    }
    if (paramUserObj.lastname == "") {
      alert("Please input lastname");
      return false;
    }
    if (paramUserObj.subject == "") {
      alert("Please input subject");
      return false;
    }
    if (paramUserObj.country == "0") {
      alert("Please select your country");
      return false;
    }
    if (paramUserObj.customerType == "0") {
      alert("Please select your customer type");
      return false;
    }
    if (paramUserObj.registerStatus == "0") {
      alert("Please select your register status");
      return false;
    }
    return true
  }
  //hàm gọi API để thêm user mới:
  function callApiToAddNewUser(paramUserObj) {
    $.ajax({
      url: gBASE_URL,
      type: "POST",
      contentType: gCONTENT_TYPE,
      data: JSON.stringify(paramUserObj),
      success: function (paramRes) {
        handleInsertUserSuccess()
      },
      error: function (paramErorr) {
        console.log(paramErorr.responseText)
      }
    });
  }
  //hàm gọi API để update user:
  function callApiToUpdateUserById(paramUserObj) {
    $.ajax({
      url: gBASE_URL + gUserId,
      type: "PUT",
      contentType: gCONTENT_TYPE,
      data: JSON.stringify(paramUserObj),
      success: function (paramRes) {
        handleUpdateUserSuccess()
      },
      error: function (paramErorr) {
        console.log(paramErorr.responseText)
      }
    });
  }
  //hàm gọi API để delete user:
  function callApiToDeleteUserById(paramUserIdObj) {
    $.ajax({
      url: gBASE_URL + paramUserIdObj,
      type: "DELETE",
      success: function (paramRes) {
        handleDeleteUserSuccess()
      },
      error: function (paramErorr) {
        console.log(paramErorr.responseText)
      }
    });
  }
  //hàm handle khi add user thành công:
  function handleInsertUserSuccess() {
    alert("Add user successfully");
    resertInsertUserForm();
    $("#add-user-modal").modal("hide");
    getUserList()
  }

  //hàm handle khi update user thành công:
  function handleUpdateUserSuccess() {
    alert("Update user successfully");
    resertUpdateUserForm();
    $("#update-user-modal").modal("hide");
    getUserList()
  }
  //hàm handle khi delete user thành công:
  function handleDeleteUserSuccess() {
    alert("Delete user successfully");
    $("#delete-confirm-modal").modal("hide");
    getUserList()
  }

  //hàm xóa trắng form insert user:
  function resertInsertUserForm() {
    $("#input-add-user-firstname").val("");
    $("#input-add-user-lastname").val("");
    $("#input-add-user-subject").val("");
    $("#select-add-user-country").val("0");
    $("#select-add-user-customer-type").val("0");
  }
  //hàm xóa trắng form update user:
  function resertUpdateUserForm() {
    $("#input-update-user-firstname").val("");
    $("#input-update-user-lastname").val("");
    $("#input-update-user-subject").val("");
    $("#select-update-user-country").val("0");
    $("#select-update-user-customer-type").val("0");
    $("#select-update-user-register-status").val("0");
  }
  //hàm getUserById:
  function getUserByUserId(paramUserId) {
    $.ajax({
      url: gBASE_URL + paramUserId,
      type: "GET",
      success: function (paramRes) {
        console.log(paramRes)
        showUserDataIntoModalUpdate(paramRes)
      },
      error: function (paramError) {
        console.log(paramError.responseText)
      }
    });
    $("#update-user-modal").modal("show");
  };
  //hàm show user data into modal update:
  function showUserDataIntoModalUpdate(paramUserData) {
    $("#input-update-user-firstname").val(paramUserData.firstname);
    $("#input-update-user-lastname").val(paramUserData.lastname);
    $("#input-update-user-subject").val(paramUserData.subject);
    $("#select-update-user-country").val(paramUserData.country);
    $("#select-update-user-customer-type").val(paramUserData.customerType);
    $("#select-update-user-register-status").val(paramUserData.registerStatus);
  }
</script>
</html>
